<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="facilities"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idFacility"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['facility-popup-new-list', null] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.facility.facilityCode'|translate}}" field="facilityCode" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.facility.description'|translate}}" field="description" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.facility.facilityType'|translate}}" *ngIf="idFacilityType === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.facilityTypeId">
                    <a [routerLink]="['../facility-type', rowData.facilityTypeId  ]" >{{rowData.facilityTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.facility.partOf'|translate}}" *ngIf="idPartOf === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.partOfId">
                    <a [routerLink]="['../facility', rowData.partOfId  ]" >{{rowData.partOfDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'facility/'+ rowData.idFacility + '/popup-edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idFacility)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
